VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDevicePushDescriptorPropertiesKHR (uint32_t maxPushDescriptors_=0)
| PhysicalDevicePushDescriptorPropertiesKHR (VkPhysicalDevicePushDescriptorPropertiesKHR const &rhs)
PhysicalDevicePushDescriptorPropertiesKHR & | operator= (VkPhysicalDevicePushDescriptorPropertiesKHR const &rhs)
PhysicalDevicePushDescriptorPropertiesKHR & | setPNext (void *pNext_)
PhysicalDevicePushDescriptorPropertiesKHR & | setMaxPushDescriptors (uint32_t maxPushDescriptors_)
| operator VkPhysicalDevicePushDescriptorPropertiesKHR const & () const
| operator VkPhysicalDevicePushDescriptorPropertiesKHR & ()
bool | operator== (PhysicalDevicePushDescriptorPropertiesKHR const &rhs) const
bool | operator!= (PhysicalDevicePushDescriptorPropertiesKHR const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | maxPushDescriptors

## Private Attributes

StructureType | sType = StructureType::ePhysicalDevicePushDescriptorPropertiesKHR

## Detailed Description

Definition at line 13190 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDevicePushDescriptorPropertiesKHR() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::PhysicalDevicePushDescriptorPropertiesKHR | ( | uint32_t | maxPushDescriptors_ = `0` | ) |

inline

Definition at line 13192 of file vulkan.hpp.

: maxPushDescriptors( maxPushDescriptors_ )
{
}

## PhysicalDevicePushDescriptorPropertiesKHR() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::PhysicalDevicePushDescriptorPropertiesKHR | ( | VkPhysicalDevicePushDescriptorPropertiesKHR const & | rhs | ) |

inline

Definition at line 13197 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDevicePushDescriptorPropertiesKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDevicePushDescriptorPropertiesKHR &()

VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::operator VkPhysicalDevicePushDescriptorPropertiesKHR & | ( |  | ) |

inline

Definition at line 13224 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDevicePushDescriptorPropertiesKHR*>(this);
}

## operator VkPhysicalDevicePushDescriptorPropertiesKHR const &()

VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::operator VkPhysicalDevicePushDescriptorPropertiesKHR const & | ( |  | ) | const

inline

Definition at line 13219 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDevicePushDescriptorPropertiesKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::operator!= | ( | PhysicalDevicePushDescriptorPropertiesKHR const & | rhs | ) | const

inline

Definition at line 13236 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDevicePushDescriptorPropertiesKHR& VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::operator= | ( | VkPhysicalDevicePushDescriptorPropertiesKHR const & | rhs | ) |

inline

Definition at line 13202 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDevicePushDescriptorPropertiesKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::operator== | ( | PhysicalDevicePushDescriptorPropertiesKHR const & | rhs | ) | const

inline

Definition at line 13229 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxPushDescriptors == rhs.maxPushDescriptors );
}

References maxPushDescriptors, pNext, and sType.

Referenced by operator!=().

## setMaxPushDescriptors()

PhysicalDevicePushDescriptorPropertiesKHR& VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::setMaxPushDescriptors | ( | uint32_t | maxPushDescriptors_ | ) |

inline

Definition at line 13213 of file vulkan.hpp.

{
maxPushDescriptors = maxPushDescriptors_;
return *this;
}

References maxPushDescriptors.

## setPNext()

PhysicalDevicePushDescriptorPropertiesKHR& VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 13207 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## maxPushDescriptors

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::maxPushDescriptors

Definition at line 13246 of file vulkan.hpp.

Referenced by operator==(), and setMaxPushDescriptors().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::pNext = nullptr

Definition at line 13245 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::sType = StructureType::ePhysicalDevicePushDescriptorPropertiesKHR

private

Definition at line 13242 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::sType
StructureType sType
Definition: vulkan.hpp:13242
VkPhysicalDevicePushDescriptorPropertiesKHR
Definition: vulkan_core.h:5446
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::pNext
void * pNext
Definition: vulkan.hpp:13245
VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::operator==
bool operator==(PhysicalDevicePushDescriptorPropertiesKHR const &rhs) const
Definition: vulkan.hpp:13229
VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::maxPushDescriptors
uint32_t maxPushDescriptors
Definition: vulkan.hpp:13246
VULKAN_HPP_NAMESPACE::PhysicalDevicePushDescriptorPropertiesKHR::PhysicalDevicePushDescriptorPropertiesKHR
PhysicalDevicePushDescriptorPropertiesKHR(uint32_t maxPushDescriptors_=0)
Definition: vulkan.hpp:13192